org.apache.ivy.core.sort

## Class ModuleDescriptorSorter

- java.lang.Object
- - org.apache.ivy.core.sort.ModuleDescriptorSorter

    public class ModuleDescriptorSorter
    extends java.lang.Object

Inner helper class for sorting ModuleDescriptors.
ModuleDescriptorSorter use CollectionOfModulesToSort to find the dependencies of the modules, and use ModuleInSort to store some temporary values attached to the modules to sort.

See Also:
  `ModuleInSort`, `CollectionOfModulesToSort`

### Constructor Summary

Constructors
Constructor and Description
`ModuleDescriptorSorter(java.util.Collection<ModuleDescriptor> modulesDescriptorsToSort, VersionMatcher matcher, NonMatchingVersionReporter nonMatchingVersionReporter, CircularDependencyStrategy circularDepStrategy)`

### Method Summary

Methods
`java.util.List<ModuleDescriptor>` `sortModuleDescriptors()` Iterates over all modules calling sortModuleDescriptorsHelp.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleDescriptorSorter

    public ModuleDescriptorSorter(java.util.Collection<ModuleDescriptor> modulesDescriptorsToSort,
                          VersionMatcher matcher,
                          NonMatchingVersionReporter nonMatchingVersionReporter,
                          CircularDependencyStrategy circularDepStrategy)

### Method Detail

#### sortModuleDescriptors

    public java.util.List<ModuleDescriptor> sortModuleDescriptors()
                                                           throws CircularDependencyException

Iterates over all modules calling sortModuleDescriptorsHelp.

Returns:
  sorted module
Throws:
  `CircularDependencyException`